module dwt.internal.mozilla.nsIModule;

import dwt.internal.mozilla.Common;
import dwt.internal.mozilla.nsID;
import dwt.internal.mozilla.nsISupports;
import dwt.internal.mozilla.nsIFile; 
import dwt.internal.mozilla.nsIComponentManager;

const char[] NS_IMODULE_IID_STR = "7392d032-5371-11d3-994e-00805fd26fee";

const nsIID NS_IMODULE_IID= 
  {0x7392d032, 0x5371, 0x11d3, 
    [ 0x99, 0x4e, 0x00, 0x80, 0x5f, 0xd2, 0x6f, 0xee ]};

//extern(System)
interface nsIModule : nsISupports {
  static const char[] IID_STR = NS_IMODULE_IID_STR;
  static const nsIID IID = NS_IMODULE_IID;

  nsresult GetClassObject(nsIComponentManager aCompMgr, nsCID * aClass, nsIID * aIID, void * *aResult);
  nsresult RegisterSelf(nsIComponentManager aCompMgr, nsIFile aLocation, char *aLoaderStr, char *aType);
  nsresult UnregisterSelf(nsIComponentManager aCompMgr, nsIFile aLocation, char *aLoaderStr);
  nsresult CanUnload(nsIComponentManager aCompMgr, PRBool *_retval);
}

